interfaces Library: TerminalInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# TerminalInterface Class Reference

TerminalInterface is an interface implemented by KonsolePart to allow developers access to the KonsolePart in ways that are not possible through the normal KPart interface. More...

`#include <kde_terminal_interface.h>`

List of all members.

## Public Member Functions
virtual void | startProgram (const QString &program, const QStrList &args)=0
virtual void | showShellInDir (const QString &dir)=0
virtual void | sendInput (const QString &text)=0

## Detailed Description

TerminalInterface is an interface implemented by KonsolePart to allow developers access to the KonsolePart in ways that are not possible through the normal KPart interface.

Note that besides the functions below here, KonsolePart also has some signals you can connect to. They aren't in this class cause we can't have signals without having a QObject, which TerminalInterface is not. These are the signals you can connect to: void processExited( int status ); void receivedData( const QString& s ); See the example code below for how to connect to these..

Use it like this:

      // fetch the Library..
      KLibFactory* factory = KLibLoader::self()->factory( "libkonsolepart" );
      if ( factory == 0L )
      {
        // inform the user that he should install konsole..
        return;
      };
      // fetch the part..
      KParts::Part* p = static_cast<KParts::Part*>(
          factory->create( this, "tralala", "QObject",
                           "KParts::ReadOnlyPart" ) );
      assert( p );
      setCentralWidget( p->widget() );

      // cast the part to the TerminalInterface..
      TerminalInterface* t = static_cast<TerminalInterface*>( p->qt_cast( "TerminalInterface" ) );
      if( ! t )
      {
        // This probably happens because the konsole that is installed
        // comes from before KDE 3.2 , and the TerminalInterface is not
        // available..  What you can do here is either inform the user
        // that he needs a more recent konsole, or try to deliver the
        // functionality in some other way...
        return;
      };
      // now use the interface in all sorts of ways, e.g.
      //    t->showShellInDir( QDir::home().path() );
      // or:
      //    QStrList l;
      //    l.append( "python" );
      //    t->startProgram( QString::fromUtf8( "/usr/bin/python" ), l);
      // or connect to one of the signals.  Connect to the Part object,
      // not to the TerminalInterface, since the latter is no QObject,
      // and as such cannot have signals..:
      //    connect( p, SIGNAL( processExited( int ) ),
      //             this, SLOT( shellExited( int ) ) );
      // etc.

Since:
  3.2

Author:
  Dominique Devriese <devriese@kde.org>

Definition at line 85 of file kde_terminal_interface.h.

## Member Function Documentation

virtual void TerminalInterface::startProgram | ( | const QString & | program,
|  | const QStrList & | args
| ) | `[pure virtual]`

| This starts `program`, with arguments `args`.

virtual void TerminalInterface::showShellInDir | ( | const QString & | dir | ) | `[pure virtual]`

| If a shell is currently shown, this sends it a cd command. Otherwise, this starts a shell, and sends it a cd command too...

virtual void TerminalInterface::sendInput | ( | const QString & | text | ) | `[pure virtual]`

  | This sends. Parameters:
  | text | as input to the currently running program..

The documentation for this class was generated from the following file:

- kde_terminal_interface.h

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:06 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003